Skip to main content
POST
/
beta
/
investment
/
share-classes
/
get
Get share classes
curl --request POST \
  --url https://app.standardmetrics.io/beta/investment/share-classes/get/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "company_ids": [
    "pvYe",
    "a2Ne"
  ],
  "share_class_ids": [
    "pvYe",
    "a2Ne"
  ],
  "purchase_type": "primary"
}
'
[
  {
    "company_id": "<string>",
    "financing_id": "<string>",
    "purchase_type": "primary",
    "type": "common",
    "name": "<string>",
    "price_per_share": {
      "value": "1000000",
      "currency": "USD",
      "converted_value": "1000000",
      "converted_currency": "USD",
      "fx_rate": "1.0",
      "is_custom_rate": false
    },
    "company_name": "<string>",
    "id": "a2Ne",
    "include_in_fair_value": true
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Options for fetching share classes.

company_ids
string[] | null

Filter by company IDs.

Example:
["pvYe", "a2Ne"]
share_class_ids
string[] | null

Filter by share class IDs.

Example:
["pvYe", "a2Ne"]
purchase_type
enum<string> | null

Filter by purchase type: 'primary' or 'secondary'.

Available options:
primary,
secondary
Example:

"primary"

Response

200 - application/json

OK

company_id
string
required

The ID of the company this share class belongs to.

Example:

"pvYe"

financing_id
string
required

The ID of the financing round this share class belongs to.

Example:

"a2Ne"

purchase_type
enum<string>
required

Whether the purchase is a primary or secondary transaction.

Available options:
primary,
secondary
Example:

"primary"

type
enum<string>
required

The type of shares in this share class.

Available options:
common,
preferred
Example:

"preferred"

name
string
required

The name of the share class.

Example:

"Series A"

price_per_share
MoneyAmount · object
required

The price per share for this share class.

Example:
{ "currency": "USD", "value": "10.00" }
company_name
string
required

The name of the company this share class belongs to. Output only.

Example:

"Acme Corp"

id
string | null

The ID of the share class.

Example:

"a2Ne"

include_in_fair_value
boolean | null

Whether the share class is included in the fair value calculation. Defaults to True when the purchase_type is primary, otherwise False.

Example:

true